"use strict";
var __assign = (this && this.__assign) || Object.assign || function(t) {
    for (var s, i = 1, n = arguments.length; i < n; i++) {
        s = arguments[i];
        for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
            t[p] = s[p];
    }
    return t;
};
var React = require("react");
var row_1 = require("./row");
var util_1 = require("../lib/util");
var _1 = require("../");
Object.defineProperty(exports, "__esModule", { value: true });
exports.default = function (props) {
    var tHeaderColumns = Object.getOwnPropertyNames(props.data).reduce(function (val, column) {
        var tConfig = props.data[column];
        val[column] = tConfig.header || column;
        return val;
    }, {});
    var tHeaderClasses = [
        'header',
        props.className
    ];
    var tData = {};
    var _loop_1 = function (index) {
        tData[index] = __assign({}, props.data[index]);
        tData[index].getCell = function () {
            return React.createElement("span", null,
                tData[index].header || index,
                props.sortField === index ? React.createElement(_1.Icon, { name: 'angle-up', className: props.sortDir }) : '');
        };
    };
    for (var index in props.data) {
        _loop_1(index);
    }
    return React.createElement(row_1.default, { onColumnClick: function (rowKey, columnKey) {
            if (props.onColumClick) {
                props.onColumClick(columnKey);
            }
        }, rowKey: 'header', data: tHeaderColumns, config: tData, className: util_1.combineClasses(tHeaderClasses), filteredColumnClasses: props.filteredClassName, columnClasses: props.columnClassName, sortField: props.sortField });
};
//# sourceMappingURL=header.js.map